package com.armstrongconsulting.acprotasks;

import java.util.Date;

import javax.swing.*;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.intellij.tasks.Comment;
import com.intellij.tasks.Task;
import com.intellij.tasks.TaskType;

import icons.TasksIcons;

public class AcproTask extends Task
{
    @Override
    public @NotNull String getId()
    {
        return "ID 123";
    }

    @Override
    public @NotNull String getSummary()
    {
        return "A new a.c.pro task";
    }

    @Override
    public @Nullable String getDescription()
    {
        return "a.c.pro task description";
    }

    @Override
    public @NotNull Comment[] getComments()
    {
        return new Comment[0];
    }

    @Override
    public @NotNull Icon getIcon()
    {
        return TasksIcons.Bug;
    }

    @Override
    public @NotNull TaskType getType()
    {
        return TaskType.BUG;
    }

    @Override
    public @Nullable Date getUpdated()
    {
        return null;
    }

    @Override
    public @Nullable Date getCreated()
    {
        return null;
    }

    @Override
    public boolean isClosed()
    {
        return false;
    }

    @Override
    public boolean isIssue()
    {
        return false;
    }

    @Override
    public @Nullable String getIssueUrl()
    {
        return null;
    }
}
